define(['angular'], function(angular) {
	var myApp = angular.module('gradeModule', []);

	myApp.service('gradeService', function(){
		this.getStudentGradeLevelName = function(student){
			if(Number(student.grade_level) < 6){
				return "Elementary";
			}else if(Number(student.grade_level) < 9){
				return "Middle";
			}else if(Number(student.grade_level) < 13){
				return "High";
			}else if(Number(student.grade_level) == 99){
				return "Graduated";
			}else{
				return "Unknown";
			}
		}
	});
});